Bug 442265 - rmmod usbserial -> BUG + OOPS (paging request) rmmod usbserial -> BUG + OOPS (paging request)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-13 12:43 EDT by Scott Mcdermott
Modified: 2009-01-09 01:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:22:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output of kernel init, includes oops at bottom (36.82 KB, text/plain)
2008-04-13 12:43 EDT, Scott Mcdermott
no flags Details

  None (edit)
Description Scott Mcdermott 2008-04-13 12:43:45 EDT
Kernel OOPS report:

  problem: rmmod sierra; rmmod usbserial -> BUG/OOPS -> paging request
  machine: Lenovo X61s
    model: CTO-7668
   memory: 3GB
processor: Core 2 duo L7700, 1.8GHz
   system: fc8, fully updated
 involved: embedded Sierra Wireless MC5725, vendor=0x1199, product=0x0220

Sometimes I want to go really low power when disconnected so
I rmmod all the USB stuff and shut off radios.  After
disabling the WWAN radio via /proc/acpi/ibm/wan and trying
to rmmod sierra and then usbserial, I get a kernel BUG/OOPS.

Note that the output says that usbserial is linked into the
kernel but I'm not sure why because I can remove and add it
at will.  It just fails sometimes, especially after it's
been working and transmitting.  It may or may not have to do
with disabling the radio first, but I do believe I've
triggered it before without having to do that first.  If
it's important to know I can determine this empirically.

It doesn't OOPS all the time even given the reproduction
scenario.  Sometimes I can do it 2-3 times before it will
OOPS.  Never will it go more than, say, 5 times without
the bug appearing.

OOPS is below (inline) and full dmesg output of the kernel
init through to the OOPS is attached.

No more message text follows.  Let me know if anything more
is needed or could be helpful.

                        *       *       *

usbcore: deregistering interface driver usbserial_generic
BUG: unable to handle kernel paging request at virtual address f8fc3410
printing eip: f8ff5ae3 *pde = 37b69067 *pte = 00000000 
Oops: 0000 [#1] SMP 
Modules linked in: usbserial [...]
Pid: 27676, comm: modprobe Not tainted ( #1)
EIP: 0060:[<f8ff5ae3>] EFLAGS: 00210246 CPU: 0
EIP is at destroy_serial+0x3c/0x102 [usbserial]
EAX: f5691c80 EBX: f5691c80 ECX: f8871554 EDX: f8fc3360
ESI: f8ff5aa7 EDI: 00000003 EBP: f5cb941c ESP: dd3c8e90
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process modprobe (pid: 27676, ti=dd3c8000 task=f56693b0 task.ti=dd3c8000)
Stack: c04334a0 00200246 c0498db1 00200246 f5691cb4 f8ff5aa7 00000003 c04fc07e 
       f5691c80 c05860e2 f8ffae98 f5691c80 c062b3b3 f5691cb4 f5691c80 f8ff59db 
       f5eb7c00 f8ff5e8a 00000118 00000007 c058688d f5cb9400 f5cb941c f8ffafe0 
Call Trace:
 [<c04334a0>] irq_exit+0x53/0x6b
 [<c0498db1>] find_inode+0x1b/0x56
 [<f8ff5aa7>] destroy_serial+0x0/0x102 [usbserial]
 [<c04fc07e>] kref_put+0x72/0x7f
 [<c05860e2>] usb_kill_urb+0x1b/0xcf
 [<c062b3b3>] mutex_lock+0x1a/0x29
 [<f8ff59db>] usb_serial_put+0x1c/0x27 [usbserial]
 [<f8ff5e8a>] usb_serial_disconnect+0x74/0x9d [usbserial]
 [<c058688d>] usb_disable_interface+0x22/0x2f
 [<c0588db2>] usb_unbind_interface+0x44/0x94
 [<c05715d8>] __device_release_driver+0x6b/0x88
 [<c0571a54>] driver_detach+0x96/0xd2
 [<c0571196>] bus_remove_driver+0x63/0x81
 [<c0588803>] usb_deregister+0x74/0x7f
 [<f8ff738f>] usb_serial_generic_deregister+0xa/0x14 [usbserial]
 [<f8ff7b29>] usb_serial_exit+0x5/0x33 [usbserial]
 [<c044d6c9>] sys_delete_module+0x177/0x19e
 [<c045db7d>] audit_syscall_entry+0x10d/0x137
 [<c04051da>] syscall_call+0x7/0xb
Code: 25 8b 43 04 8b 00 c7 44 24 08 26 7d ff f8 c7 44 24 04 1c 7f ff f8 c7 04 24
37 84 ff f8 89 44 24 0c e8 7c 9c 43 c7 8b 53 04 89 d8 <ff> 92 b0 00 00 00 83 3d
04 c4 ff f8 00 74 1c c7 44 24 08 35 7d 
EIP: [<f8ff5ae3>] destroy_serial+0x3c/0x102 [usbserial] SS:ESP 0068:dd3c8e90
---[ end trace 1192c1a5a507e4df ]---
Comment 1 Scott Mcdermott 2008-04-13 12:43:45 EDT
Created attachment 302276 [details]
dmesg output of kernel init, includes oops at bottom
Comment 2 Chuck Ebbert 2008-04-16 08:37:11 EDT
Oops is at drivers/usb/serial/usb-serial.c:140:

Comment 3 Bug Zapper 2008-11-26 05:29:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-01-09 01:22:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.